import { HttpClient } from './types';
/**
 * The `beaconHttpClient()` function is a http client implementation using the WebAPI
 * `navigator.sendBeacon`.
 *
 * @remarks As a `navigation.sendBeacon` request might be cancelled by an ad-blocker, the function
 * firstly checks if an ad-blocker is installed. In case it is, the `fetch` API is used as fallback.
 *
 * @param endpoint - The endpoint to make the request to.
 * @param options - The request options.
 *
 * @public
 */
export declare const beaconHttpClient: HttpClient;
